## kdecoration 5.5.5

=== CMakeLists.txt ===
project(decoration-api)
set(PROJECT_VERSION "5.5.5")

cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(FeatureSummary)
include(GenerateExportHeader)
include(ECMPackageConfigHelpers)
include(ECMSetupVersion)
include(ECMGenerateHeaders)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KDECORATION2
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdecoration2_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2ConfigVersion.cmake"
                        SOVERSION 5)

#dependencies
set(REQUIRED_QT_VERSION 5.4.0)
find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Gui
    Test
)

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings)
include(KDECMakeSettings)

# require at least gcc 4.8
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    if ("${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "4.8")
        message(SEND_ERROR "Version ${CMAKE_CXX_COMPILER_VERSION} of the ${CMAKE_CXX_COMPILER_ID} C++ compiler is not supported. Please use version 4.8 or later.")
    endif()
endif()

set(KDECORATION2_INCLUDEDIR "${CMAKE_INSTALL_INCLUDEDIR}/KDecoration2")

# Subdirectories
add_subdirectory(src)
add_subdirectory(autotests)

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KDecoration2")

ecm_configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KDecoration2Config.cmake.in"
                                  "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2Config.cmake"
                                  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                                  )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2Config.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2ConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KDecoration2Targets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KDecoration2Targets.cmake NAMESPACE KDecoration2:: )


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdecoration2_version.h
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kdecoration 5.2.2

=== debian/changelog ===
kdecoration (4:5.2.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 24 Mar 2015 07:12:56 -0700

kdecoration (4:5.2.1-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 23 Feb 2015 09:37:12 -0800

kdecoration (4:5.2.0-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Harald Sitter <sitter@kde.org>  Tue, 27 Jan 2015 14:50:46 +0100

kdecoration (4:5.1.95-0ubuntu1) vivid; urgency=medium

  [ Sergey Popov ]
  * Initial release.

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Jan 2015 13:25:43 +0100

=== debian/control ===
Source: kdecoration
Priority: extra
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: cmake,
               debhelper (>= 9.0.0),
               extra-cmake-modules (>= 1.3.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev
Standards-Version: 3.9.5
Section: libs
XS-Testsuite: autopkgtest
Homepage: https://projects.kde.org/projects/kde/workspace/kdecoration

Package: libkdecorations2-dev
Section: libdevel
Architecture: any
Depends: libkdecorations2-5 (= ${binary:Version}),
         libkdecorations2private5 (= ${binary:Version}),
         ${misc:Depends}
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations2-5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations2private5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

Package: libkdecorations2-dbg
Section: debug
Architecture: any
Recommends: qtbase5-dbg
Depends: libkdecorations2-5 (= ${binary:Version}) | libkdecorations2private5 (= ${binary:Version}),
         ${misc:Depends}
Description: library to create window decorations - debug info
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbg-package=libkdecorations2-dbg

.PHONY: override_dh_auto_test

## kdecoration 5.4.2

=== debian/changelog ===
kdecoration (4:5.4.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 02 Oct 2015 15:52:17 +0100

kdecoration (4:5.4.1-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 08 Sep 2015 10:14:14 +0100

kdecoration (4:5.4.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 31 Aug 2015 15:48:11 +0100

kdecoration (4:5.3.95-0ubuntu2) wily; urgency=medium

  * Merge with debian unstable to adopt library transition
  * Add lintian overrides for the now mismatching libname-pkgname (due to v5
    suffix)

 -- Harald Sitter <sitter@kde.org>  Tue, 25 Aug 2015 12:26:32 +0200

kdecoration (4:5.3.95-0ubuntu1) wily; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 10 Aug 2015 23:12:29 +0200

kdecoration (4:5.3.2-3) unstable; urgency=medium

  * Rename library to it's v5 version.

 -- Maximiliano Curia <maxy@debian.org>  Thu, 20 Aug 2015 22:56:47 +0200

kdecoration (4:5.3.2-2) unstable; urgency=medium

  * Drop XS-Testsuite field

 -- Maximiliano Curia <maxy@debian.org>  Thu, 13 Aug 2015 12:14:42 +0200

kdecoration (4:5.3.2-1) unstable; urgency=medium

  * New upstream release (5.3.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 30 Jun 2015 17:36:15 +0200

kdecoration (4:5.3.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 02 Jul 2015 12:26:40 +0000

kdecoration (4:5.3.1-0ubuntu1) wily; urgency=medium

  [ Jonathan Riddell ]
  * Plasma 5.3 beta
  * new upstream release

  [ Scarlett Clark ]
  * Vivid backport

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 05 Jun 2015 02:26:45 +0200

kdecoration (4:5.3.1-1) unstable; urgency=medium

  * New upstream release (5.3.0).
  * Update symbols files.
  * New upstream release (5.3.1).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 29 Jun 2015 22:59:11 +0200

kdecoration (4:5.2.2-1) experimental; urgency=medium

  * New upstream release (5.2.1).
  * New upstream release (5.2.2).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 25 Mar 2015 23:18:04 +0100

kdecoration (4:5.2.0-1) experimental; urgency=medium

  * Prepare initial Debian release.
  * Update build dependencies to build against experimental and to
    follow cmake.
  * Update copyright information.
  * Add myself as Uploader.
  * Update install files.
  * Add acc autopkgtests.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add missing dev dependency (thanks to acc headers check)

 -- Maximiliano Curia <maxy@debian.org>  Sat, 07 Feb 2015 15:42:34 +0100

=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/workspace/kdecoration
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kdecoration.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kdecoration.git

Package: libkdecorations2-dev
Section: libdevel
Architecture: any
Depends: libkdecorations2-5v5 (= ${binary:Version}),
         libkdecorations2private5v5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends}
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations2-5v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkdecorations2-5
Replaces: libkdecorations2-5
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations2private5v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: libkdecorations2private5
Replaces: libkdecorations2private5
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

Package: libkdecorations2-dbg
Section: debug
Priority: extra
Architecture: any
Recommends: qtbase5-dbg
Depends: libkdecorations2-5v5 (= ${binary:Version}) | libkdecorations2private5v5 (= ${binary:Version}),
         ${misc:Depends}
Description: library to create window decorations - debug info
 .
 This package contains the debugging symbols.

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         xvfb, xauth, dbus-x11, openbox
Restrictions: build-needed

Tests: acc
Depends: @, dh-acc, exuberant-ctags

## kdecoration 5.5.5

=== debian/changelog ===
kdecoration (4:5.5.5-0ubuntu1) xenial; urgency=medium

  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Thu, 14 Apr 2016 13:36:13 -0700

kdecoration (4:5.5.4-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * Debian merge: No remaining changes. 
  * New upstream release Xenial

  [ Clive Johnston ]
  * new upstream release
  * New upstream release
  * New upstream release

 -- Clive Johnston <clivejo@aol.com>  Mon, 07 Mar 2016 21:20:02 +0100

kdecoration (4:5.4.3-0ubuntu1) xenial; urgency=medium

  [ Scarlett Clark ]
  * New upstream bugfix release

  [ Philip Muškovac ]
  * New upstream bugfix release (LP: #1518598)

 -- Philip Muškovac <yofel@kubuntu.org>  Sun, 22 Nov 2015 16:28:59 +0100

kdecoration (4:5.4.2-0ubuntu2) xenial; urgency=medium

  * Fix autopackagetests by adding allow-stderr to the requirements.

 -- Philip Muškovac <yofel@kubuntu.org>  Tue, 03 Nov 2015 15:34:35 +0100

kdecoration (4:5.4.2-0ubuntu1) UNRELEASED; urgency=medium

  * Vivid backport

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 05 Oct 2015 11:39:55 -0700

kdecoration (4:5.4.3-1) unstable; urgency=medium

  * New upstream release (5.4.3).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 01 Dec 2015 11:46:12 +0100

kdecoration (4:5.4.2-1) unstable; urgency=medium

  * New upstream release (5.4.2).

 -- Maximiliano Curia <maxy@debian.org>  Tue, 06 Oct 2015 07:52:29 +0200

kdecoration (4:5.4.1-1) unstable; urgency=medium

  * New upstream release (5.4.1).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 11 Sep 2015 18:45:49 +0200

kdecoration (4:5.4.0-1) unstable; urgency=medium

  * New upstream release (5.3.95).
  * New upstream release (5.4.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 03 Sep 2015 13:51:41 +0200

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
+               extra-cmake-modules (>= 5.18.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.4.0~)
 Standards-Version: 3.9.6

=== debian/rules ===
--- 
+++ 
@@ -5,4 +5,6 @@
 override_dh_strip:
 	$(overridden_command) --dbg-package=libkdecorations2-dbg
 
-.PHONY: override_dh_auto_test
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:

=== debian/watch ===
version=3
http://download.kde.org/unstable/plasma/([\d.]+)/kdecoration-([\d.]+)\.tar\.xz
http://download.kde.org/stable/plasma/([\d.]+)/kdecoration-([\d.]+)\.tar\.xz

## kdecoration 5.7.5

=== debian/changelog ===
kdecoration (4:5.7.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.4)
  * New upstream release (5.7.5)

 -- Rik Mills <rik.mills88@gmail.com>  Tue, 20 Sep 2016 20:25:51 -0500

kdecoration (4:5.7.2-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.7.1)
  * New upstream release (5.7.2)

 -- Clive Johnston <clivejo@kubuntu.org>  Thu, 28 Jul 2016 12:04:24 +0000

kdecoration (4:5.6.5-0ubuntu1) yakkety; urgency=medium

  * New upstream release (5.6.5)

 -- Clive Johnston <clivejo@kubuntu.org>  Fri, 15 Jul 2016 20:43:40 +0100

kdecoration (4:5.6.4-0ubuntu1) yakkety; urgency=medium

  [ Clive Johnston ]
  * New upstream release

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Clive Johnston ]
  * New upstream release (5.6.4)

 -- Clive Johnston <clivejo@kubuntu.org>  Wed, 18 May 2016 13:15:03 -0700

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.18.0~),
+               extra-cmake-modules (>= 5.24.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4.0~)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/workspace/kdecoration
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/plasma/kdecoration.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/plasma/kdecoration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
 
 Package: libkdecorations2-dev
 Section: libdevel
 Architecture: any
 Depends: libkdecorations2-5v5 (= ${binary:Version}),
          libkdecorations2private5v5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4.0~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: library to create window decorations - development files
  KDecoration2 is a library to create window decorations. These window

## kdecoration 5.8.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(decoration-api)
-set(PROJECT_VERSION "5.5.5")
+set(PROJECT_VERSION "5.8.4")
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)
 
@@ -27,7 +27,7 @@
 )
 
 include(KDEInstallDirs)
-include(KDEFrameworkCompilerSettings)
+include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(KDECMakeSettings)
 
 # require at least gcc 4.8

=== debian/changelog ===
kdecoration (4:5.8.4-1) unstable; urgency=medium

  * New upstream release (5.8.4)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Nov 2016 18:35:12 +0100

kdecoration (4:5.8.2-1) unstable; urgency=medium

  * New upstream release (5.8.2)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 15:20:20 +0200

kdecoration (4:5.8.1-1) unstable; urgency=medium

  * New upstream release (5.8.1)

 -- Maximiliano Curia <maxy@debian.org>  Sun, 16 Oct 2016 22:57:33 +0200

kdecoration (4:5.8.0-1) unstable; urgency=medium

  * New upstream release (5.8.0)
  * Replace dbus-launch with dbus-run-session in tests
  * Bump group breaks (5.8)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 07 Oct 2016 14:02:55 +0200

kdecoration (4:5.7.4-1) unstable; urgency=medium

  * New upstream release (5.7.4)
  * Bump group breaks (5.7)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 26 Aug 2016 14:47:43 +0200

kdecoration (4:5.7.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 11 Jul 2016 19:35:31 +0200

kdecoration (4:5.6.5-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 18 Jun 2016 08:13:06 +0200

kdecoration (4:5.6.4-1) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 18 May 2016 21:14:06 +0200

kdecoration (4:5.6.3-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * uscan no longer supports this kind of watch files.
  * New upstream release (5.5.5).
  * Automatic update with ddeb_migration3.py
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

 -- Maximiliano Curia <maxy@debian.org>  Thu, 05 May 2016 18:31:11 +0200

kdecoration (4:5.5.4-1) experimental; urgency=medium

  * New upstream release (5.5.0).
  * New upstream release (5.5.1).
  * New upstream release (5.5.2).
  * New upstream release (5.5.3).
  * New upstream release (5.5.4).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 27 Jan 2016 16:49:19 +0100

=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.3.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.4.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/workspace/kdecoration
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kdecoration.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kdecoration.git

Package: libkdecorations2-dev
Section: libdevel
Architecture: any
Depends: libkdecorations2-5v5 (= ${binary:Version}),
         libkdecorations2private5v5 (= ${binary:Version}),
         qtbase5-dev (>= 5.4.0~),
         ${misc:Depends}
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations2-5v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.8),
        kwin-decoration-oxygen (<< 4:5.8),
        kwin-style-breeze (<< 4:5.8),
        libkdecorations2-5
Replaces: libkdecorations2-5
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations2private5v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.8), libkdecorations2private5
Replaces: libkdecorations2private5
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_strip:
	$(overridden_command) --dbgsym-migration='libkdecorations2-dbg (<= 4:5.5.5-1~~)'

override_dh_auto_test:
	# Disable dh_auto_test at build time
	:

## kdecoration 5.9.4

=== debian/changelog ===
kdecoration (4:5.9.4-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 23 Mar 2017 19:57:29 +0000

kdecoration (4:5.9.3-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.3)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 02 Mar 2017 09:51:23 +0000

kdecoration (4:5.9.2-0ubuntu1) zesty; urgency=low

  * New upstream bugfix release (5.9.2)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 20 Feb 2017 11:04:34 +0000

kdecoration (4:5.9.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.

  [ Rik Mills ]
  * New upstream release (5.9.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 14 Feb 2017 23:19:30 +0000

kdecoration (4:5.9.0-0ubuntu1) zesty; urgency=low

  * New upstream release (5.9.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 04 Feb 2017 00:54:53 +0000

kdecoration (4:5.8.5-0ubuntu1) zesty; urgency=low

  * New upstream release (5.8.5)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 29 Dec 2016 16:44:45 +0000

kdecoration (4:5.8.4-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Simon Quigley ]
  * New upstream release (5.8.3)

  [ Rik Mills ]
  * Merge from debian
  * New upstream release (5.8.4)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 05 Dec 2016 19:54:08 +0000

## kdecoration 5.9.5

=== debian/changelog ===
kdecoration (4:5.9.5-0ubuntu0.1) zesty; urgency=low

  * New upstream release (5.9.5) (LP: #1687444)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Tue, 09 May 2017 19:15:49 +0100

=== debian/control ===
--- 
+++ 
@@ -5,20 +5,20 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.3.0~),
+               extra-cmake-modules (>= 5.31.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.4.0~)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kdecoration
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/plasma/kdecoration.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/plasma/kdecoration.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
 
 Package: libkdecorations2-dev
+Architecture: any
 Section: libdevel
-Architecture: any
 Depends: libkdecorations2-5v5 (= ${binary:Version}),
          libkdecorations2private5v5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.4.0~),
+         qtbase5-dev (>= 5.6.1~),
          ${misc:Depends}
 Description: library to create window decorations - development files
  KDecoration2 is a library to create window decorations. These window

## kdecoration 5.10.5

=== debian/changelog ===
kdecoration (4:5.10.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.5)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Wed, 23 Aug 2017 14:39:29 +0100

kdecoration (4:5.10.4-0ubuntu2) artful; urgency=medium

  * debian/patches: upstream_fix_decorationButtonTest_with_Qt_5.9.patch
    from upstream to fix test failure in 5.10.4 with Qt 5.9

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 11 Aug 2017 20:00:33 +0100

kdecoration (4:5.10.4-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.4)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 19 Jul 2017 14:37:24 +0100

kdecoration (4:5.10.3-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 01 Jul 2017 10:15:58 +0100

kdecoration (4:5.10.2-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.2)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 15 Jun 2017 18:12:11 +0100

kdecoration (4:5.10.1-0ubuntu1) artful; urgency=low

  * New upstream release (5.10.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Jun 2017 19:08:52 +0100

kdecoration (4:5.10.0-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.95)
  * New upstream release (5.10.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 May 2017 09:49:12 +0100

kdecoration (4:5.9.5-0ubuntu1) artful; urgency=low

  * New upstream release (5.9.5)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 30 Apr 2017 11:31:15 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.31.0~),
+               extra-cmake-modules (>= 5.36.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8

## kdecoration 5.12.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 project(decoration-api)
-set(PROJECT_VERSION "5.8.4")
+set(PROJECT_VERSION "5.12.4")
 
 cmake_minimum_required(VERSION 2.8.12 FATAL_ERROR)

=== debian/changelog ===
kdecoration (4:5.12.4-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Mar 2018 20:52:32 +0100

kdecoration (4:5.12.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 09 Mar 2018 13:48:42 +0000

kdecoration (4:5.12.2-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 20 Feb 2018 22:42:18 +0000

kdecoration (4:5.12.1-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 14 Feb 2018 12:12:22 +0000

kdecoration (4:5.12.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.95)
  * New upstream release (5.12.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 06 Feb 2018 11:49:48 +0000

kdecoration (4:5.11.5-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.11.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 03 Jan 2018 17:38:28 +0000

kdecoration (4:5.11.4-0ubuntu1) bionic; urgency=low

  * New upstream release (5.11.4)

 -- Simon Quigley <tsimonq2@ubuntu.com>  Tue, 28 Nov 2017 21:14:19 -0600

kdecoration (4:5.11.3-0ubuntu1) bionic; urgency=medium

  * Drop upstream_fix_decorationButtonTest_with_Qt_5.9.patch
    now applied.
  * New upstream release (5.10.95)
  * New upstream release (5.11.0)
  * New upstream release (5.11.1)
  * New upstream release (5.11.2)
  * New upstream release (5.11.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 25 Nov 2017 17:57:55 +0000

=== debian/control ===
--- 
+++ 
@@ -5,13 +5,26 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.36.0~),
+               extra-cmake-modules (>= 5.42.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.8
 Homepage: https://projects.kde.org/projects/kde/workspace/kdecoration
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
+
+Package: libkdecorations2-5v5
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Breaks: kwin-common (<< 4:5.8),
+        kwin-decoration-oxygen (<< 4:5.8),
+        kwin-style-breeze (<< 4:5.8),
+        libkdecorations2-5
+Replaces: libkdecorations2-5
+Description: library to create window decorations
+ KDecoration2 is a library to create window decorations. These window
+ decorations can be used by for example an X11 based window manager
+ which re-parents a Client window to a window decoration frame.
 
 Package: libkdecorations2-dev
 Architecture: any
@@ -27,19 +40,6 @@
  .
  This package contains the development files.
 
-Package: libkdecorations2-5v5
-Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kwin-common (<< 4:5.8),
-        kwin-decoration-oxygen (<< 4:5.8),
-        kwin-style-breeze (<< 4:5.8),
-        libkdecorations2-5
-Replaces: libkdecorations2-5
-Description: library to create window decorations
- KDecoration2 is a library to create window decorations. These window
- decorations can be used by for example an X11 based window manager
- which re-parents a Client window to a window decoration frame.
-
 Package: libkdecorations2private5v5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma/([\d.]+)/kdecoration-([\d.]+)\.tar\.xz

## kdecoration 5.13.5

=== debian/changelog ===
kdecoration (4:5.13.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 07 Sep 2018 16:34:34 +0100

kdecoration (4:5.13.4-1ubuntu1) cosmic; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control: Kubuntu packaging Vcs fields.
    - debian/control: Don't use debian group breaks.
    - Symbols files: Keep Kubuntu symbols versions.
    - Tests: Pass '-fno-keep-inline-functions' to acc test in library
      .acc.in file.
    - Additional lintian-overrides.

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 05 Sep 2018 00:02:46 +0100

kdecoration (4:5.13.4-1) unstable; urgency=medium

  * New upstream release (5.13.4).
  * Update install files
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sun, 19 Aug 2018 23:17:55 +0200

kdecoration (4:5.13.4-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.13.4)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 03 Aug 2018 16:40:32 +0100

kdecoration (4:5.13.3-0ubuntu1) cosmic; urgency=medium

  * New build dep on libkf5i18n-dev
  * Soversion bump for private library
  * Update symbols after private symbols protected from incorrect
    leakage
  * Update install files
  * New upstream release (5.13.0)
  * New upstream release (5.13.1)
  * New upstream release (5.13.2)
  * New upstream release (5.13.3)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 28 Jul 2018 17:25:30 +0100

kdecoration (4:5.13.1-1) unstable; urgency=medium

  * New upstream release (5.12.2).
  * New upstream release (5.13.1).
  * Update build-deps and deps with the info from cmake
  * Follow upstream soversion bump for the private lib
  * Update symbols files
  * testsuite: Update the test
  * Bump group breaks (4:5.13)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 26 Jun 2018 13:42:53 +0200

kdecoration (4:5.12.6-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.6)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 28 Jun 2018 15:30:43 +0100

kdecoration (4:5.12.5-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.12.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 May 2018 19:23:40 +0100

kdecoration (4:5.12.1-1) sid; urgency=medium

  * Use the salsa canonical urls
  * New upstream release (5.12.1).
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Tue, 20 Feb 2018 22:08:43 +0100

kdecoration (4:5.12.0-2) sid; urgency=medium

  * New revision
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Mon, 12 Feb 2018 16:03:30 +0100

kdecoration (4:5.12.0-1) experimental; urgency=medium

  * Bump debhelper build-dep and compat to 11.
  * Build without build_stamp
  * Add link options as-needed
  * Add Bhushan Shah upstream signing key
  * New upstream release (5.12.0).
  * Bump Standards-Version to 4.1.3.
  * Bump group breaks (5.12)
  * Use https uri for uscan
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Thu, 08 Feb 2018 15:20:33 +0100

kdecoration (4:5.11.4-1) experimental; urgency=medium

  * New upstream release (5.11.4).
  * Bump Standards-Version to 4.1.2.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 03 Jan 2018 16:48:49 -0300

kdecoration (4:5.10.5-2) sid; urgency=medium

  * New revision
  * Bump Standards-Version to 4.1.0.
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Sun, 03 Sep 2017 09:55:17 +0200

kdecoration (4:5.10.5-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (5.10.3).
  * Bump Standards-Version to 4.0.0.
  * Update upstream metadata
  * Bump group breaks (5.10)
  * Update symbols files.
  * New upstream release (5.10.4).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.10.5).
  * Release to experimental

  [ Jonathan Riddell ]
  * update watch file to version=4 with pgp signature checking

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Aug 2017 15:28:14 +0200

kdecoration (4:5.8.5-1) experimental; urgency=medium

  * New upstream release (5.8.5).

 -- Maximiliano Curia <maxy@debian.org>  Fri, 30 Dec 2016 18:46:14 +0100

=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.42.0~),
               libkf5i18n-dev (>= 5.42.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/kdecoration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration

Package: libkdecorations2-5v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.8),
        kwin-decoration-oxygen (<< 4:5.8),
        kwin-style-breeze (<< 4:5.8),
        libkdecorations2-5,
Replaces: libkdecorations2-5
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations2-dev
Section: libdevel
Architecture: any
Depends: libkdecorations2-5v5 (= ${binary:Version}),
         libkdecorations2private6 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations2private6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.8), libkdecorations2private5
Replaces: libkdecorations2private5, libkdecorations2private5v5
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

## kdecoration 5.14.5

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

project(decoration-api)
set(PROJECT_VERSION "5.14.5")

set(QT_MIN_VERSION "5.11.0")
set(KF5_MIN_VERSION "5.50.0")

find_package(ECM ${KF5_MIN_VERSION} REQUIRED NO_MODULE)
# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(KDECMakeSettings)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(FeatureSummary)
include(GenerateExportHeader)
include(CMakePackageConfigHelpers)

ecm_setup_version(${PROJECT_VERSION} VARIABLE_PREFIX KDECORATION2
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kdecoration2_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2ConfigVersion.cmake"
                        SOVERSION 5)

#dependencies
find_package(Qt5 ${QT_MIN_VERSION} CONFIG REQUIRED COMPONENTS
    Core
    Gui
    Test
)

# require at least gcc 4.8
if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
    if ("${CMAKE_CXX_COMPILER_VERSION}" VERSION_LESS "4.8")
        message(SEND_ERROR "Version ${CMAKE_CXX_COMPILER_VERSION} of the ${CMAKE_CXX_COMPILER_ID} C++ compiler is not supported. Please use version 4.8 or later.")
    endif()
endif()

set(KDECORATION2_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR}/KDecoration2")
find_package(KF5I18n ${KF5_MIN_VERSION} CONFIG REQUIRED)

# Subdirectories
add_subdirectory(src)
if(BUILD_TESTING)
   add_subdirectory(autotests)
endif()

# create a Config.cmake and a ConfigVersion.cmake file and install them
set(CMAKECONFIG_INSTALL_DIR "${CMAKECONFIG_INSTALL_PREFIX}/KDecoration2")

configure_package_config_file("${CMAKE_CURRENT_SOURCE_DIR}/KDecoration2Config.cmake.in"
                                  "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2Config.cmake"
                                  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
                                  )

install(FILES  "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2Config.cmake"
               "${CMAKE_CURRENT_BINARY_DIR}/KDecoration2ConfigVersion.cmake"
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel )

install(EXPORT KDecoration2Targets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KDecoration2Targets.cmake NAMESPACE KDecoration2:: )


install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kdecoration2_version.h
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR} COMPONENT Devel )

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

ki18n_install(po)

=== debian/changelog ===
kdecoration (4:5.14.5-1+rb1) UNRELEASED; urgency=medium

  * update

 -- Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Tue, 19 Jan 2021 14:17:20 +0800

kdecoration (4:5.14.5-1) unstable; urgency=medium

  * New upstream release (5.14.5).
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 24 Jan 2019 09:25:45 -0300

kdecoration (4:5.14.3-1) unstable; urgency=medium

  * Update upsteam signing-key
  * New upstream release (5.14.3).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Bump group breaks (4:5.14)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 23 Nov 2018 08:50:30 -0300

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,28 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.42.0~),
-               libkf5i18n-dev (>= 5.42.0~),
+               extra-cmake-modules (>= 5.50.0~),
+               libkf5i18n-dev (>= 5.50.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.9.0~),
+               qtbase5-dev (>= 5.11.0~),
 Standards-Version: 4.1.3
 Homepage: https://projects.kde.org/projects/kde/workspace/kdecoration
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kdecoration
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kdecoration.git
 
 Package: libkdecorations2-5v5
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kwin-common (<< 4:5.8),
-        kwin-decoration-oxygen (<< 4:5.8),
-        kwin-style-breeze (<< 4:5.8),
+Breaks: kwin-common (<< 4:5.14),
+        kwin-decoration-oxygen (<< 4:5.14),
+        kwin-style-breeze (<< 4:5.14),
+        kwin-wayland (<< 4:5.12),
+        kwin-wayland-backend-drm (<< 4:5.12),
+        kwin-wayland-backend-fbdev (<< 4:5.12),
+        kwin-wayland-backend-virtual (<< 4:5.12),
+        kwin-wayland-backend-wayland (<< 4:5.12),
+        kwin-wayland-backend-x11 (<< 4:5.12),
+        kwin-x11 (<< 4:5.12),
         libkdecorations2-5,
 Replaces: libkdecorations2-5
 Description: library to create window decorations
@@ -32,7 +39,7 @@
 Architecture: any
 Depends: libkdecorations2-5v5 (= ${binary:Version}),
          libkdecorations2private6 (= ${binary:Version}),
-         qtbase5-dev (>= 5.9.0~),
+         qtbase5-dev (>= 5.11.0~),
          ${misc:Depends},
 Description: library to create window decorations - development files
  KDecoration2 is a library to create window decorations. These window
@@ -44,7 +51,14 @@
 Package: libkdecorations2private6
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: kwin-common (<< 4:5.8), libkdecorations2private5
+Breaks: kwin-common (<< 4:5.14),
+        kwin-wayland (<< 4:5.12),
+        kwin-wayland-backend-drm (<< 4:5.12),
+        kwin-wayland-backend-fbdev (<< 4:5.12),
+        kwin-wayland-backend-virtual (<< 4:5.12),
+        kwin-wayland-backend-wayland (<< 4:5.12),
+        kwin-wayland-backend-x11 (<< 4:5.12),
+        kwin-x11 (<< 4:5.12),
 Replaces: libkdecorations2private5, libkdecorations2private5v5
 Description: library to create window decorations - private library
  KDecoration2 is a library to create window decorations. These window

## kdecoration 5.15.4

=== debian/changelog ===
kdecoration (4:5.15.4-0ubuntu1) disco; urgency=medium

  * New upstream bugfix release (5.15.4)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 04 Apr 2019 17:09:03 +0100

kdecoration (4:5.15.3-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.3)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Mar 2019 09:08:30 +0000

kdecoration (4:5.15.2-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 26 Feb 2019 19:13:08 +0000

kdecoration (4:5.15.1-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 19 Feb 2019 21:33:00 +0000

kdecoration (4:5.15.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.15.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 12 Feb 2019 09:52:35 +0000

kdecoration (4:5.14.90-0ubuntu1) disco; urgency=medium

  * New upstream (beta) release (5.14.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 19 Jan 2019 08:23:52 +0000

kdecoration (4:5.14.5-0ubuntu1) disco; urgency=medium

  * New upstream release (5.14.5)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 08 Jan 2019 23:47:49 +0000

kdecoration (4:5.14.4-0ubuntu1) disco; urgency=medium

  * New upstream release (5.13.90)
  * Update symbols from build logs.
  * New upstream release (5.14.0)
  * New upstream release (5.14.1)
  * New upstream release (5.14.2)
  * New upstream release (5.14.3)
  * New upstream release (5.14.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 27 Nov 2018 23:14:52 +0000

=== debian/control ===
Source: kdecoration
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11~),
               extra-cmake-modules (>= 5.54.0~),
               libkf5i18n-dev (>= 5.54.0~),
               pkg-kde-tools (>= 0.15.15ubuntu1~),
               qtbase5-dev (>= 5.9.0~),
Standards-Version: 4.1.3
Homepage: https://projects.kde.org/projects/kde/workspace/kdecoration
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kdecoration

Package: libkdecorations2-5v5
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.8),
        kwin-decoration-oxygen (<< 4:5.8),
        kwin-style-breeze (<< 4:5.8),
        libkdecorations2-5,
Replaces: libkdecorations2-5
Description: library to create window decorations
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.

Package: libkdecorations2-dev
Section: libdevel
Architecture: any
Depends: libkdecorations2-5v5 (= ${binary:Version}),
         libkdecorations2private6 (= ${binary:Version}),
         qtbase5-dev (>= 5.9.0~),
         ${misc:Depends},
Description: library to create window decorations - development files
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the development files.

Package: libkdecorations2private6
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kwin-common (<< 4:5.8), libkdecorations2private5
Replaces: libkdecorations2private5, libkdecorations2private5v5
Description: library to create window decorations - private library
 KDecoration2 is a library to create window decorations. These window
 decorations can be used by for example an X11 based window manager
 which re-parents a Client window to a window decoration frame.
 .
 This package contains the private library parts that are not considered stable.

## kdecoration 5.16.5

=== debian/changelog ===
kdecoration (4:5.16.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.5)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 04 Sep 2019 09:23:42 +0100

kdecoration (4:5.16.4-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.4)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 30 Jul 2019 18:44:31 +0100

kdecoration (4:5.16.3-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.3)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 09 Jul 2019 22:21:50 +0100

kdecoration (4:5.16.2-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.2)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 25 Jun 2019 18:22:47 +0100

kdecoration (4:5.16.1-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.1)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 18 Jun 2019 22:23:14 +0100

kdecoration (4:5.16.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.16.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 11 Jun 2019 11:35:29 +0100

kdecoration (4:5.15.90-0ubuntu1) eoan; urgency=medium

  * New upstream (beta) release (5.15.90)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 18 May 2019 08:48:38 +0100

kdecoration (4:5.15.5-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.15.5)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 10 May 2019 13:47:31 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
-               extra-cmake-modules (>= 5.54.0~),
-               libkf5i18n-dev (>= 5.54.0~),
+               extra-cmake-modules (>= 5.58.0~),
+               libkf5i18n-dev (>= 5.58.0~),
                pkg-kde-tools (>= 0.15.15ubuntu1~),
                qtbase5-dev (>= 5.9.0~),
 Standards-Version: 4.1.3
